package com.mygdx.game.Dimension;

import java.util.HashMap;

public class BlockMaterials {
    public static HashMap<String,Block> materials = new HashMap<>();

    //Private so the singleton can't be instantiated
    private BlockMaterials() {}

    public static void create(){
        materials.put("grass",new Block("grass"));
        materials.put("wood",new Block("wood"));
        materials.put("water",new Block("water"));
        materials.put("stone",new Block("stone"));
        materials.put("snow",new Block("snow"));
        materials.put("sand",new Block("sand"));
        materials.put("air",new Block("air"));
        materials.put("roof",new Block("roof"));
        materials.put("wall",new Block("wall"));
    }
}
